#!/bin/sh
# SPDX-License-Identifier: ACSL
# SPDX-FileCopyrightText: © 2018 Mopi
# SPDX-FileCopyrightText: © 2021 Antoine Le Gonidec <vv221@dotslashplay.it>
set -o errexit

###
# Rime
# send your bug reports to bugs@dotslashplay.it
###

script_version=20250530.1

PLAYIT_COMPATIBILITY_LEVEL='2.32'

GAME_ID='rime-game'
GAME_NAME='RiME'

ARCHIVE_BASE_1_NAME='setup_rime_1.04_(a)_(40568).exe'
ARCHIVE_BASE_1_MD5='04c89d5de10df3c16c5e9b3512d559aa'
ARCHIVE_BASE_1_TYPE='innosetup'
ARCHIVE_BASE_1_PART1_NAME='setup_rime_1.04_(a)_(40568)-1.bin'
ARCHIVE_BASE_1_PART1_MD5='aa40d7bf862088c92b9a0dbe09c42012'
ARCHIVE_BASE_1_PART2_NAME='setup_rime_1.04_(a)_(40568)-2.bin'
ARCHIVE_BASE_1_PART2_MD5='c9cad9754731585b3e68a305eef4bd01'
ARCHIVE_BASE_1_SIZE='7800000'
ARCHIVE_BASE_1_VERSION='1.04-gog40568'
ARCHIVE_BASE_1_URL='https://www.gog.com/game/rime'

ARCHIVE_BASE_0_NAME='setup_rime_152498_signed_(14865).exe'
ARCHIVE_BASE_0_MD5='303d41314564c753fcef92260c3e20f8'
ARCHIVE_BASE_0_TYPE='innosetup'
ARCHIVE_BASE_0_PART1_NAME='setup_rime_152498_signed_(14865)-1.bin'
ARCHIVE_BASE_0_PART1_MD5='ea9fc9eeaeeb2d7c58eab42cef31bb2e'
ARCHIVE_BASE_0_PART2_NAME='setup_rime_152498_signed_(14865)-2.bin'
ARCHIVE_BASE_0_PART2_MD5='b65792a122d267cc799e9b044605c1a1'
ARCHIVE_BASE_0_SIZE='8000000'
ARCHIVE_BASE_0_VERSION='1.04-gog14865'

UNREALENGINE4_NAME='sirengame'

CONTENT_PATH_DEFAULT='.'
CONTENT_PATH_DEFAULT_0='app'

APP_MAIN_EXE='sirengame/binaries/win64/rime.exe'

PACKAGES_LIST='
PKG_BIN
PKG_DATA'

PKG_BIN_ARCH='64'
PKG_BIN_DEPENDENCIES_SIBLINGS='
PKG_DATA'

PKG_DATA_ID="${GAME_ID}-data"
PKG_DATA_DESCRIPTION='data'

# Load common functions

PLAYIT_LIB_PATHS="
$PWD
${XDG_DATA_HOME:="${HOME}/.local/share"}/play.it
/usr/local/share/games/play.it
/usr/local/share/play.it
/usr/share/games/play.it
/usr/share/play.it"

if [ -z "$PLAYIT_LIB2" ]; then
	for playit_lib_path in $PLAYIT_LIB_PATHS; do
		if [ -e "${playit_lib_path}/libplayit2.sh" ]; then
			PLAYIT_LIB2="${playit_lib_path}/libplayit2.sh"
			break
		fi
	done
fi
if [ -z "$PLAYIT_LIB2" ]; then
	printf '\n\033[1;31mError:\033[0m\n'
	printf 'libplayit2.sh not found.\n'
	exit 1
fi
# shellcheck source=libplayit2.sh
. "$PLAYIT_LIB2"

# Run the default initialization actions

initialization_default "$@"

# Extract game data

archive_extraction_default

# Include game data

content_inclusion_icons 'PKG_DATA'
content_inclusion_default

# Write launchers

## Do not install the Visual C++ Runtime, to prevent an error related to MSVCP140.dll. (WINE 10.0)
unrealengine4_wine_winetricks_verbs_default() { return 0; }

launchers_generation 'PKG_BIN'

# Build packages

packages_generation
print_instructions

# Clean up

working_directory_cleanup

exit 0
